%global debug_package %{nil}

Name:           python3-antlr4-runtime
Version:        4.9.3
Release:        2%{?dist}
Summary:        Python runtime for ANTLR

License:        MIT
URL:            https://github.com/antlr/antlr4
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
ANTLR (ANother Tool for Language Recognition) is a powerful 
parser generator for reading, processing, executing, or 
translating structured text or binary files. It's widely used 
to build languages, tools, and frameworks. From a grammar, ANTLR 
generates a parser that can build parse trees and also generates 
a listener interface (or visitor) that makes it easy to respond 
to the recognition of phrases of interest.

%prep
%autosetup -n antlr4-%{version}

%build
cd runtime/Python3
%py3_build
cd -

%install
cd runtime/Python3
%py3_install
cd -

%files
%doc README.md
%{_bindir}/pygrun
%{python3_sitelib}/antlr4/
%{python3_sitelib}/antlr4_*.egg-info/

%changelog
%autochangelog
